/* statistics.h
 *
 * The statistics class, which collects statistics about the
 * performance of the system.
 */

#ifndef STATISTICS_H
#define STATISTICS_H

#include "main.h"
#include "station.h"


#define MAX_NUM_STATIONS 1000


class Passenger;


class Statistics {

  int   numTrips;		// number of reported trips
  float totalTripTime;		// sum of all trip times

public:

  // constructor

  Statistics() {	
    numTrips = 0;
    totalTripTime = 0;
  }
  
  // Record the arrival of a passenger, p, at their destination

  void reportArrival( Passenger *p );

  // Print a report at fixed intervals

  void periodicReport();

  // Print a final report

  void finalReport();
};

#endif
